Skip to main content
PUT
/
api
/
v1
/
environments
/
{slug}
Update environment
curl --request PUT \
  --url https://api.devhelm.io/api/v1/environments/{slug} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "variables": {},
  "isDefault": true
}
'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "orgId": 123,
    "name": "<string>",
    "slug": "<string>",
    "variables": {},
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "monitorCount": 123,
    "isDefault": true
  }
}

Authorizations

Authorization
string
header
required

API key (dh_live_...) or Auth0 JWT token

Path Parameters

slug
string
required

Body

application/json
name
string | null

New environment name; null preserves current

Maximum string length: 100
variables
object

Replace all variables; null preserves current

isDefault
boolean | null

Whether this is the default environment; null preserves current

Response

200 - */*

OK

data
object

Environment with variable substitutions for monitor configs